﻿function getCurrentWindowTabs() {
  return browser.tabs.query({currentWindow: true,  active: true});
}

document.addEventListener("click", (e) => {
  function callOnActiveTab(callback) {
    getCurrentWindowTabs().then((tabs) => {
      for (var tab of tabs) {
        if (tab.active) {
          callback(tab, tabs);
        }
      }
    });
  }

  callOnActiveTab((tab) => {
    url     = encodeURIComponent(tab.url);
    title   = encodeURIComponent(tab.title);  
  
    if ((e.target.id === "startlapom-add") || (e.target.id === "startlapom-remove")) {
      if (e.target.id === "startlapom-add") {
        reason='ADD';
      }  
      else {
        reason='REM';
      }  
      
      window.location.replace('https://startlapom.eu/addon.php?url='+url+'&title='+title+'&reason='+reason);
    }
  });

});
